### Hierarchy

- ActionParametersVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Properties

- _enclosedJsonObject

### Methods

- copyAsJsonObject
- copyAsJsonString
- enclosedJsonObject
- visitTargetsValue
- visitTargetsValue

## Constructors

### constructor

- new ActionParametersVisitor(value: string | object): ActionParametersVisitor

- - Defined in proxy/ActionParametersVisitor.ts:9

  #### Parameters

  - ##### value: string | object

  #### Returns ActionParametersVisitor

## Properties

### Private _enclosedJsonObject

_enclosedJsonObject: any

- Defined in proxy/ActionParametersVisitor.ts:9

## Methods

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  - Defined in proxy/ActionParametersVisitor.ts:33

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  - Defined in proxy/ActionParametersVisitor.ts:37

  #### Returns string

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  - Defined in proxy/ActionParametersVisitor.ts:41

  #### Returns any

### visitTargetsValue

- visitTargetsValue(): string[]

- - Defined in proxy/ActionParametersVisitor.ts:47

  #### Returns string[]

### Static visitTargetsValue

- visitTargetsValue(actionParameters: object): string[]

- - Defined in proxy/ActionParametersVisitor.ts:27

  #### Parameters

  - ##### actionParameters: object

  #### Returns string[]

Generated using TypeDoc